
:root {
  /* dark shades of primary color*/
  --clr-primary-1: hsl(205, 86%, 17%);
  --clr-primary-2: hsl(205, 77%, 27%);
  --clr-primary-3: hsl(205, 72%, 37%);
  --clr-primary-4: hsl(205, 63%, 48%);
  /* primary/main color */
  --clr-primary-5: hsl(205, 78%, 60%);
  /* lighter shades of primary color */
  --clr-primary-6: hsl(205, 89%, 70%);
  --clr-primary-7: hsl(205, 90%, 76%);
  --clr-primary-8: hsl(205, 86%, 81%);
  --clr-primary-9: hsl(205, 90%, 88%);
  --clr-primary-10: hsl(205, 100%, 96%);
  /* darkest grey - used for headings */
  --clr-grey-1: hsl(209, 61%, 16%);
  --clr-grey-2: hsl(211, 39%, 23%);
  --clr-grey-3: hsl(209, 34%, 30%);
  --clr-grey-4: hsl(209, 28%, 39%);
  /* grey used for paragraphs */
  --clr-grey-5: hsl(210, 22%, 49%);
  --clr-grey-6: hsl(209, 23%, 60%);
  --clr-grey-7: hsl(211, 27%, 70%);
  --clr-grey-8: hsl(210, 31%, 80%);
  --clr-grey-9: hsl(212, 33%, 89%);
  --clr-grey-10: hsl(210, 36%, 96%);
  --clr-white: #fff;
  --clr-red-dark: hsl(360, 67%, 44%);
  --clr-red-light: hsl(360, 71%, 66%);
  --clr-green-dark: hsl(125, 67%, 44%);
  --clr-green-light: hsl(125, 71%, 66%);
  --clr-black: #222;
  --transition: all 0.3s linear;
  --spacing: 0.1rem;
  --radius: 0.25rem;
  --light-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  --dark-shadow: 0 5px 15px rgba(0, 0, 0, 0.4);
  --max-width: 1170px;
  --fixed-width: 450px;
  --clr-orange-1: hsl(12, 83%, 98%);
  --clr-orange-2: hsl(14, 91%, 95%);
  --clr-orange-3: hsl(12, 89%, 89%);
  --clr-orange-4: hsl(13, 87%, 82%);
  --clr-orange-5: hsl(13, 88%, 68%);
  --clr-orange-6: hsl(13, 88%, 55%);
  --clr-orange-7: hsl(13, 74%, 49%);
  --clr-orange-8: hsl(13, 74%, 33%);
  --clr-orange-9: hsl(13, 73%, 25%);
  --clr-orange-10: hsl(13, 73%, 16%);
}
*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  overflow-x: hidden;
}
body::before{
  content: '';
  display: block;
  height: 50px;
  scroll-behavior: smooth;

}
li{
  list-style: none;
}
a{
  text-decoration: none;
}
h3{
  color: var(--clr-primary-6);
}
.hero{
  width: 100%;
}
.navbar{
  width: 100%;
  background-color: var(--clr-primary-1);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 99;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0 0 20px #000;
}

.navbar .navbar-nav.active{
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding-top: 15px;
  justify-content: space-between;
  align-items: center;
  margin-right: 2rem;
  transition: .4s all ease-in-out;
}
.navbar .navbar-nav{
  display: none;
}
.navbar ul li{
  padding: 0 10px;
}
.navbar ul li a{
  color: var(--clr-primary-6);
}
.navbar ul li a:hover,
.navbar ul li a:active,
.navbar ul li a:focus{
  color:hsl(205, 90%, 76%);
}
.img-brand{
  width: 50px;
  height: 50px;
  border-radius: 50%;
  margin-left: 2rem;
}
.bi-list{
  font-size: 2rem;
  margin-right: 2rem;
  transition: .4s all ease-in-out;
}
section{
  padding: 20px;
}
.showcase-img{
  width: 100%;
}
.showcase{
  text-align: center;
  background: #000;
}
.newsletter{
  padding-top: 20px;
}
.search{
  width: 60%;
  min-height: 2rem;
  border-radius: 5px;
  text-align: center;
  border: 1px solid var(--clr-primary-6);
}
.news-btn{
  min-height: 2rem;
  width: 15%;
  background-color: var(--clr-primary-1);
  border-radius: 5px;
  color: #fff;
  font-weight: 900;
}
.news-btn:hover,
.news-btn:focus,
.news-btn:active{
  background-color: #ccc;
  color: #000;
}
#about{
  /* background: url(./bg1.jpg) no-repeat center center/ cover;
  height: 100vh; */
  background-color: #000;
  text-align: center;
}
.me img{
  width: 70px;
  height: 70px;
  border-radius: 50%;
  margin-top: 20px;
}
.skills{
  text-align: center;
  background-color: #000;
  color: #fff;
}
.stacks{
  display: flex;
  width: 100%;
  justify-content: space-between;
 
}
.svg-i{
  width: 40px;
  height: 2em;

}
.rs-txt{
  padding-top: 30px;
}
.rs-img{
  width: 60%;
}
.rs-btn{
  width: 200px;
  height: 40px;
  border-radius: 10px;
  background-color: var(--clr-primary-6);
  text-align: center;
  color: #000;
  font-weight: 700;
  margin-top: 20px;
}
.rs-btn:hover,
.rs-btn:focus,
.rs:active{
  background-color: var(--clr-primary-8);
}
section{
  background-color: #000;
}
#works{
  text-align: center;
}
.img-works{
  width: 200px;
  height: 300px;
  margin-top: 20px;
}
.works-con h3{
  color: var(--clr-primary-8);
}
.works-card{
  color: #fff;
  padding-bottom: 40px;
  border: 2px solid var(--clr-primary-6);
  background-color: #222;
  margin-bottom: 10px;
}
.works-con{
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 40px;
}
.works-con h3{
  font-family: monospace;
}
.works-card p{
  font-family: monospace;
}



@media screen and (max-width: 768px) {
  .works-con{
    display: block;
  }
  .works-card p{
    display: none;
  }
  .works-card{
    border: none;
  }
  
}
#contact{
  color: #fff;
  text-align: center;
}
.form-con{
  margin-top: 30px;
}
#contact label{
  display: block;
  font-size: 1rem;
  font-family: monospace;
}
#contact input {
  display: flex;
  width: 250px;
  margin: 0 auto;
  margin-bottom: 30px;
  min-height: 40px;
  border-radius: 5px;
  background-color: rgba(0, 0, 0, 0.1);
  color: #fff;font-weight: 700;
}
#contact textarea{
  display: flex;
  width: 250px;
  margin: 0 auto;
  border-radius: 5px;
  background-color: rgba(0, 0, 0, 0.1);

}
.form-btn{
  width: 150px;
  margin-top: 20px;
  min-height: 40px;
  border-radius: 5px;
  background-color: var(--clr-primary-6);
  color: #000;
  font-weight: 700;
}
.form-btn:hover,
.form-btn:focus,
.form-btn:active{
  background-color: var(--clr-primary-8);
}
.footer{
  background: var(--clr-primary-6);
  margin-top: 30px;
  left: 0;
  right: 0;
  position: relative;
  color: #000;
}
.footer a{
  color: #000;
  font-weight: 700;
}
.footer a:hover,
.footer a:active,
.footer a:focus{
  color: #222;
}
.icon-conn{
  width: 60%;
  height: 30px;
  background-color: var(--clr-grey-1);
  display: flex;
  margin: 10px auto;
  justify-content: space-between;
  align-items: center;
  color: #000;
  padding-left: 5px;
  padding-right: 5px;
  border-radius: 10px;
}